> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/it/vast/custom-tracking-urls.md).

# URL di tracciamento personalizzati VAST

## Definizione

L'Wrapper Ad può includere qualsiasi numero di Tracking URL per consentire che le campagne vengano servite da una risposta InLine ma tracciate separatamente dall'Impression. Può anche includere elementi di Tracking per tracciare separatamente visualizzazioni o eventi Linear o NonLinear. Il server che fornisce la risposta dell'Wrapper Ad potrebbe non sapere esattamente quali elementi creativi debbano essere consegnati a valle negli annunci InLine; in questo caso il Wrapper dovrebbe includere segnaposto per il set massimo di Creatives che potrebbero essere riprodotte all'interno del Video Player.

Gli URL di tracciamento personalizzati hanno 2 parametri:

* `evento` Il nome dell'evento da tracciare. Il `creativeView` deve sempre essere richiesto quando presente.
  * Lo stesso evento può essere aggiunto più volte, ma ciascuno dovrebbe avere **URI univoco**.
* `URL` URI per tracciare vari eventi durante la riproduzione.
  * Lo stesso URI può essere aggiunto più volte, ma ciascuno dovrebbe avere **evento univoco**.
  * L'URL dovrebbe avere solo ***https*** protocollo.

## Esempio

```xml
<Tracking id="custom_1" event="creativeView"><![CDATA[https://mytrackingsolution.com/vregister.php?a=vview&tracking_event=creativeView&idzone=22222&data=abcd]]></Tracking>
```

## Eventi di tracciamento supportati `tracking_event` per `Creatività` > `Lineare` > `Eventi di tracciamento` > `Tracciamento` nel tag VAST (link) o nel tag wrapper VAST (link)

| Evento           | Spiegazione                                                     |
| ---------------- | --------------------------------------------------------------- |
| creativeView     | Attivato quando il creative viene visualizzato.                 |
| start            | Attivato quando l'annuncio lineare inizia a essere riprodotto.  |
| midpoint         | Attivato quando l'annuncio lineare raggiunge il punto medio.    |
| firstQuartile    | Attivato quando l'annuncio lineare raggiunge il primo quartile. |
| thirdQuartile    | Attivato quando l'annuncio lineare raggiunge il terzo quartile. |
| completamento    | Attivato quando l'annuncio lineare raggiunge il punto finale.   |
| mute             | Attivato quando l'annuncio lineare viene disattivato.           |
| unmute           | Attivato quando l'annuncio lineare viene riattivato.            |
| pause            | Attivato quando l'annuncio lineare viene messo in pausa.        |
| rewind           | Attivato quando l'annuncio lineare viene riavvolto.             |
| resume           | Attivato quando l'annuncio lineare viene ripreso.               |
| fullscreen       | Attivato quando l'annuncio lineare è a schermo intero.          |
| expand           | Attivato quando l'annuncio lineare viene espanso.               |
| collapse         | Attivato quando l'annuncio lineare viene compresso.             |
| acceptInvitation | Attivato quando l'annuncio lineare viene accettato.             |
| close            | Attivato quando l'annuncio lineare viene chiuso.                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/publishers/it/vast/custom-tracking-urls.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
